curl -X POST https://api.247calldesk.com/api/v1/voice/caller-ids \
-H "Authorization: Bearer calldesk_abc123" \
-H "Content-Type: application/json" \
-d '{"phone_number": "+14155550123"}'
{
"caller_id_id": "cid_cm1abc2def3gh4",
"phone_number": "+14155550123",
"validation_code": "123456",
"message": "A verification call has been placed. Enter the code when prompted."
}
Start verification for a new caller ID.
curl -X POST https://api.247calldesk.com/api/v1/voice/caller-ids \
-H "Authorization: Bearer calldesk_abc123" \
-H "Content-Type: application/json" \
-d '{"phone_number": "+14155550123"}'
{
"caller_id_id": "cid_cm1abc2def3gh4",
"phone_number": "+14155550123",
"validation_code": "123456",
"message": "A verification call has been placed. Enter the code when prompted."
}
curl -X POST https://api.247calldesk.com/api/v1/voice/caller-ids \
-H "Authorization: Bearer calldesk_abc123" \
-H "Content-Type: application/json" \
-d '{"phone_number": "+14155550123"}'
{
"caller_id_id": "cid_cm1abc2def3gh4",
"phone_number": "+14155550123",
"validation_code": "123456",
"message": "A verification call has been placed. Enter the code when prompted."
}